Subject: Re: bug#38186: dd doesn't copy whole file when specifying units with bs

From: [email-masked] (Clément Lassieur)
Date: Tue, 12 Nov 2019 22:45:18 +0100

Hi Jack,

> It seems that my version of dd from coreutils-8.31 does not seem to work
> correctly when using units with the bs option (e.g. bs=1M). In the terminal
> session below, I first use bs=1M. The output looks okay: dd appears to have
> copied the whole 2.3GiB file, but it has done so impossibly quickly. It turns
> out that went so quickly because the whole file has not been copied. If
> instead of using the units modifier, I specify the same number of bytes
> directly, everything seems to work as expected (notice the slower speed).

Does this[1] help?

[1]: https://superuser.com/questions/730801/dd-immidiately-completes-but-actually-needs-sync